﻿@model ARGNSRangePlanView
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>
@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/Content/Dragable-CSS")

<h1 class="page-header">@ViewBag.Tite</h1>

@using (Html.BeginForm("ConfirmAction", "RangePlan", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formRangePlan" }))
{
    <div>
        <div class="panel panel-default">
            <div class="panel-heading clearfix">
                <h3 class="panel-title">@RangePlan.RP</h3>
            </div>
            <div class="panel-body">
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="col-md-2 control-label">@PDM.Code</label>
                        <div class="col-md-10">
                            @Html.TextBoxFor(model => model.Code, new { @Id = "Code", @Name = "Code", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">@PDM.Desc</label>
                        <div class="col-md-10">
                            @Html.TextBoxFor(model => model.U_RangeDesc, new { @Id = "U_RangeDesc", @Name = "U_RangeDesc", @class = "form-control" })
                        </div>

                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">@RangePlan.Project</label>
                        <div class="col-md-10">
                            @Html.DropDownListFor(model => model.U_PrjCode, new SelectList(
                                Model.RangePlanCombo.ListProject,
                                 "PrjCode",
                                 "PrjName", Model.U_PrjCode), new { @Id = "U_PrjCode", @Name = "U_PrjCode", @class = "form-control" })
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="col-md-2 control-label">@PDM.Season</label>
                        <div class="col-md-10">
                            @Html.DropDownListFor(model => model.U_Season, new SelectList(
                                Model.RangePlanCombo.ListSeason,
                                "Code",
                                "Name", Model.U_Season), new { @Id = "U_Season", @Name = "U_Season", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">@PDM.Coll</label>
                        <div class="col-md-10">
                            @Html.DropDownListFor(model => model.U_Coll, new SelectList(
                                Model.RangePlanCombo.ListCollection,
                                "Code",
                                "U_Desc", Model.U_Coll), new { @Id = "U_Coll", @Name = "U_Coll", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">@RangePlan.Employee</label>
                        <div class="col-md-10">
                            @Html.DropDownListFor(model => model.U_RPEmpl, new SelectList(
                                Model.RangePlanCombo.ListEmployee,
                                "empID",
                                "getName", Model.U_RPEmpl), new { @Id = "U_RPEmpl", @Name = "U_RPEmpl", @class = "form-control" })
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="col-md-3 control-label">@RangePlan.DateFrom</label>
                        <div class="col-md-9">
                            <div class="input-group date" id="U_SDate">
                                @Html.TextBoxFor(c => c.U_SDate, new { @Id = "U_SDate", @Name = "U_SDate", @placeholder = @RangePlan.DateFrom, @class = "form-control", @Value = (Model.U_SDate != null && Model.U_SDate != DateTime.MinValue) ? Model.U_SDate.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">@RangePlan.DateTo</label>
                        <div class="col-md-9">
                            <div class="input-group date" id="U_DTo">
                                @Html.TextBoxFor(c => c.U_DTo, new { @Id = "U_DTo", @Name = "U_DTo", @placeholder = @RangePlan.DateTo, @class = "form-control", @Value = (Model.U_DTo != null && Model.U_DTo != DateTime.MinValue) ? Model.U_DTo.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
                <div class="container_drop">
                    <section id="products_drop">
                        <div class="panel panel-default">
                            <div class="panel-heading clearfix">
                                <button type="button" id="ModelSearch" class="btn btn-success btn-ls pull-left "><span class="glyphicon glyphicon-search"></span> @PDM.Search</button>
                            </div>
                            <div class="panel-body">

                                <ul class="clear" id="ListModel"></ul>
                            </div>
                        </div>
                    </section>
                    <aside id="sidebar_drop">
                        <div class="basket">
                            <div class="basket_list">
                                <div class="head">
                                    <span class="name">@PDM.Desc</span>
                                </div>
                                <ul id="RPLines">
                                    @foreach (ARGNSRangePlanDetailView item in Model.Lines)
                                    {
                                        <li data-id="@item.U_ModCode"><input type="hidden" id="Code_@item.U_ModCode" value="@item.Code"><input type="hidden" id="LineId_@item.U_ModCode" value="@item.LineId"><input type="hidden" id="PicPath_@item.U_ModCode" value="@item.U_ModPic"><img class="img_sm" src="@(!string.IsNullOrEmpty(item.U_ModPic) ? "/images/"+item.U_ModCode+"/"+Path.GetFileName(item.U_ModPic)  : "")"><span class="name">@item.U_ModCode</span><input id="ModDesc_@item.U_ModCode" class="dragDesc" value="@item.U_ModDesc" type="text"><input id="Comment_@item.U_ModCode" value="@item.U_Comments"  class="dragComment" placeholder="@PDM.Comments" type="text"><button class="delete">✕</button></li>
                                    }
                                </ul>
                            </div>
                        </div>
                    </aside>
                </div>
                <div class="clear"></div>

            </div>
        </div>
    </div>
    <div class="but_blok_footer">
        <div class="col-md-12">
            <button type="submit" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
            @Html.ActionLink(@Activity.Cancel, "Index", "RangePlan", null, new { @class = "btn btn-lg btn-default pull-right" })
        </div>
    </div>
    <div class="alert alert-success" id="UpdateCorrectly" role="alert">
        @PDM.SuccessfullyUpdated
    </div>
    <input type="hidden" name="Pagekey" id="Pagekey" value="@ViewBag.PageKey" />
}

@Scripts.Render("~/bundles/RangePlan")
<script>
    jQuery.browser = {};
    (function () {
        jQuery.browser.msie = false;
        jQuery.browser.version = 0;
        if (navigator.userAgent.match(/MSIE ([0-9]+)\./)) {
            jQuery.browser.msie = true;
            jQuery.browser.version = RegExp.$1;
        }
    })();
</script>





